import 'package:notice/src/notice_filter.dart';
import 'package:notice/src/notice_record.dart';

class CombinedFilter implements NoticeFilter {
  const CombinedFilter(this.filters);

  final List<NoticeFilter> filters;

  @override
  bool filter(NoticeRecord record) {
    return filters.every((filter) => filter.filter(record));
  }
}
