import 'package:notice/filters.dart';
import 'package:notice/notice.dart';
import 'package:notice/src/notice_record.dart';

class LevelFilter implements NoticeFilter {
  LevelFilter(this.level);
  
  final NoticeLevel level;

  @override
  bool filter(NoticeRecord record) {
    return record.level.priority >= level.priority;
  }
}
