import 'package:notice/src/notice_filter.dart';
import 'package:notice/src/notice_output.dart';
import 'package:notice/src/notice_record.dart';

class FilteredOutput implements NoticeOutput {
  const FilteredOutput(this.filter, this.output);

  final NoticeFilter filter;
  final NoticeOutput output;

  @override
  void onRecord(NoticeRecord record) {
    if (filter.filter(record)) {
      output.onRecord(record);
    }
  }
}
